package com.dsk.system.service;

import com.alibaba.fastjson2.JSONObject;
import com.dsk.common.core.domain.AjaxResult;
import com.dsk.system.domain.business.dto.BusinessSearchDto;
import com.dsk.system.domain.business.vo.BusinessAnalyzeVo;

import java.util.List;
import java.util.Map;

/**
 * @author lcl
 * @create 2023/8/14
 */
public interface IBusinessOverviewService {

    Map<String, Object> statusStatistics(BusinessSearchDto dto);

    List<BusinessAnalyzeVo> amountAnalyze(BusinessSearchDto dto);

    List<BusinessAnalyzeVo> typeAnalyze(BusinessSearchDto dto);

    AjaxResult countGroupByProvince(JSONObject object);

    AjaxResult rangByMoney(JSONObject object);

}
